API · v1 · stabil
CODEMETA OSDeveloper Center
Konsole öffnen
Entity · daily_notes

Daily Note

Schema-ID
daily_note
Collection
daily_notes
Permissions
  • Lesendaily_note_self
  • Anlegendaily_note_self
  • Änderndaily_note_self
  • Löschendaily_note_self

Felder

Daily Note

daily_notes4 Permissions

Private, continuously editable per-user note for a single date. Independent of daily_closings — content is snapshotted into daily_closings.notes at close time. Unique per (tenantId, userId, date).

userIduuiderforderlich
datedateerforderlich
contentstringerforderlich

Plain-text or Markdown body. Empty string is allowed.

max 8000 Zeichen
pinnedbooleanoptional

When true, the note is surfaced on the following day as a carry-over reminder

Default: false

Standard-Endpoints

Diese Resource folgt dem generischen CRUD-Vertrag der Plattform. Lesen Sie die Konventionen für Pagination, Idempotenz, Optimistic Locking und Audit. Die wichtigsten Endpoints:

  • GET /api/v1/daily_notes — Liste, paginiert + filterbar
  • GET /api/v1/daily_notes/<id> — Einzelne Entity
  • POST /api/v1/daily_notes — Anlegen
  • PATCH /api/v1/daily_notes/<id> — Teil-Update
  • DELETE /api/v1/daily_notes/<id> — Soft-Delete
  • GET /api/v1/daily_notes/<id>/timeline — Audit + Aktivitäten

Suche